
QGIS Application - Bug report #16124

Style made with 2.12 causes crash

2017-01-26 07:44 AM - Jean-Roc Morreale

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:2.18.2 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 24036

Description

Hi,

We just upgraded QGIS from 2.12 to 2.18.3, it went smoothly except for one user getting multiple crashes on a project. It seems that a

classified style made with 2.12 is causing a MVC++ error (R6025) or just a crash each time a duplicated layer is used.

Here are the steps to reproduce the crash :

- start a new project and add ue.gpkg

- duplicate the layer

- activate the layer

It has been reproduced on 4 computers.

History

#1 - 2017-02-04 02:50 AM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2017-03-06 03:33 PM - Giovanni Manghi

- Status changed from Open to Feedback

No crashes on 2.18.4 on the same platform.

#3 - 2017-04-29 05:33 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.

Files

ue.gpkg 472 KB 2017-01-26 Jean-Roc Morreale

style_type-st.qml 25.2 KB 2017-01-26 Jean-Roc Morreale
